version: '3'
services:
  wrenchboard-api:
    image: registry.chiefsoft.net/wrenchboard-www-api:latest
    build:
      context: ./
      dockerfile: Dockerfile
    hostname: wrenchboard-www-api
    container_name: wrenchboard-www-api
    environment:
      - NGINX_HOST=wrenchboard-www-api
      - NGINX_PORT=80
    restart: unless-stopped
    volumes:
      - ./:/opt/mainsite/wrenchboard/www-api
#      - ./nginx/nginx.conf:/etc/nginx/nginx.conf:ro
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./logs:/etc/nginx/logs
      - /opt/wrenchboard:/opt/wrenchboard
    ports:
      - 9083:80
    extra_hosts:
      - "host.docker.internal:host-gateway"
volumes:
  src:
